# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2022/9/1
import os
import sys
from appium import webdriver
from selenium.webdriver.common.by import By
sys.path.append(os.getcwd())
from main.common import Common


class Click:
    @classmethod
    def click_video(cls, log_type, video_title):
        Common.logger(log_type).info('启动"微信"')
        desired_caps = {'app': r"C:\Program Files (x86)\Tencent\WeChat\WeChat.exe"}
        driver = webdriver.Remote(
            command_executor='http://127.0.0.1:4723',
            desired_capabilities=desired_caps)
        driver.implicitly_wait(10)

        Common.logger(log_type).info('点击"爬虫群"')
        driver.find_element(By.NAME, '爬虫群').click()

        Common.logger(log_type).info('点击视频:{}', video_title)
        driver.find_element(By.NAME, video_title).click()

        driver.quit()


if __name__ == '__main__':
    Click.click_video('recommend', '意外和明天谁都不知道哪个先来，所以请珍惜眼前人吧！特别是自己的家的男人在工地上干活的!那个条件，还有高危险作业的人们，谁都不是很努力的活着呀…')
